ActivePresenter Changes History

======================================
ActivePresenter 8.0.6 (2020.04.28)

Bugs Fixed:
	Fix an issue when capturing key strokes with modifier keys.
	Exporting video doesn't finish in some cases.
	Can not select SRT and CSV files in when UI Language is not English.
	YouTube autoplay option doesn't work in HTML5.

======================================
ActivePresenter 8.0.5 (2020.04.10)

Bugs Fixed:
	Exporting video doesn't finish in some cases.
	TOC entries are exported to XLIFF incorrectly.
	Video recorded from webcam is flipped horizontally.
	Korean text in equation doesn't display correctly.
	Cropped and flipped images in PowerPoint are imported incorrectly.
	Background music in template is not imported when creating project.
	Some stability improvements.

======================================
ActivePresenter 8.0.4 (2020.03.25)

Bugs Fixed:
	Program crashes when opening some corrupted projects.
	Webcam preview is flipped horizontally.
	TTS text displays in formatted form.
	Program crashes when stopping the recording session in some cases.
	Can not import some PowerPoint files.
	Image pasted from clipboard decreases quality.
	[Video]: Frames are repeated when rendering video objects.
	[Video]: Some variables don't update their values in the output.
	[HTML5]: Audio is not unmuted when clicking in some cases.

======================================
ActivePresenter 8.0.3 (2020.03.16)

Bugs Fixed:
	Stability improvements.

======================================
ActivePresenter 8.0.2 (2020.03.02)

Bugs Fixed:
	Crashing issue when previewing on some specific hardwares.
	Audio icon appears in exported video in some cases.
	Some minor Import From PowerPoint issues.
	HTML5 Table of Contents is not saved.

======================================
ActivePresenter 8.0.1 (2020.02.18)

Bugs Fixed:
	The program crashes when inserting questions in some cases.
	The program crashes when importing some PowerPoint files.
	The error message appears when saving project in some cases.
	Scrolling is not smooth in the editor.
	Can not apply cursor effects for all videos.
	Auto-generated slide names are not correct.
	[macOS] The program crashes when exporting to HTML5 with the Embed Fonts option selected.

======================================
ActivePresenter 8.0.0 (2020.02.07)

New Features:
	User Interface: Extensive enhancements.
	User Interface: Support Dark mode.
	Flexbox: A feature set allows managing layout and spacing consistently and efficiently, especially in responsive projects.
	New Fill-in-blanks question type.
	New Hotspot question type.
	Text animation.
	New bullet and numbering styles.
	Import questions from GIFT and CSV files.
	Import PowerPoint slides directly without Microsoft PowerPoint.
	Support multiple languages for Closed Caption.
	Support embedding HTML packages.
	Add Show-in-Modes property for slide.
	Add Lock Size and Position options for objects.
	Add Object Settings view.

Enhancements:
	Improve video exporting speed (up to 40%).
	Improve preview performance for 4K resolutions.
	[Recording]: Improve recording simulation.
	[Recording]: Prevent computer from sleeping while recording.
	[Recording]: Detect device changes automatically.
	[HTML5]: Add option to hide player bars automatically on mobile devices.
	[HTML5]: Improve the display of Sidebar on mobile devices.
	Allow adding Animations for child objects.
	Allow grouping Audio, Video, Questions.
	Add Text Scale option for Closed Caption.
	Merge Export To HTML SlideShow into Export To Images.
	Move cursor graphics and sound effects from Cursor to Cursor Path.
	Move "Use Direct3D for recording screen" option to Recording Settings dialog.
	Cursor effects now are off by default.
	A lot of other improvements.

======================================
ActivePresenter 7.5.12 (2020.02.05)

Bugs Fixed:
	The program crashes when editing action.
	The program crashes when using Find & Replace.
	Some operations in the Image editor work incorrectly.
	Text disappears in the Text To Speech text box when editing audio.
	Message appears when saving a screen recording.
	[macOS]: Small improvement in video quality of outputs.
	Stability improvements.

======================================
ActivePresenter 7.5.11 (2019.12.23)

Bugs Fixed:
	[HTML5]: Max point of partial score question is incorrect in Report Slide.
	[HTML5]: Presentation is paused incorrectly if selecting "Pause to wait for user input" for button in Slide Master.
	The program crashes when editing action.
	The program crashes when recording webcam on some specific computers.
	Can not publish to YouTube in some cases.
	Can not set hotkey for the Delete Multiple Objects function.

======================================
ActivePresenter 7.5.10 (2019.11.08)

Bugs Fixed:
	[HTML5]: Can not click Web Object on Android devices.
	[HTML5]: Transform of video is reset when advancing to the next slide.
	[HTML5]: Sidebar expand button is hidden on mobile devices if Topbar is hidden.
	[HTML5]: Can not enter full screen mode for video on iPhone.
	[HTML5]: Player Setting is not preservered when creating a project from a theme.
	[HTML5]: Custom Player Setting preset is not selected.
	Import/Export XLIFF for Text To Speech audio.
	The language menu is not displayed correctly.

======================================
ActivePresenter 7.5.9 (2019.08.23)

Enhancements:
	[HTML5]: Improve lesson resuming when integrating with LMS.

Bugs Fixed:
	Duration of Text To Speech audio is not set correctly.

======================================
ActivePresenter 7.5.8 (2019.06.27)

Bugs Fixed:
	[HTML5]: List is not displayed correctly.

======================================
ActivePresenter 7.5.7 (2019.06.24)

Bugs Fixed:
	Text is not converted correctly when opening some version 6 - projects.
	Bullet styling works incorrectly in some cases.
	The program crashes when editing shapes in some cases.
	Video saving issue when copying to slide pools.
	Can not reset to default slide name by typing an empty value.
	[Recording]: Empty slide created when dragging mouse.
	[HTML5]: Some specific keys on Finnish keyboard don't work on Firefox.
	[HTML5]: Question randomization is not even.
	[HTML5]: The program crashes when exporting some projects.

======================================
ActivePresenter 7.5.6 (2019.03.28)

Bugs Fixed:
	Quality issue when exporting to MKV video.
	Warning message appears when starting the program on some computers.
	[HTML5]: Text box is not focused automatically on Internet Explorer.
	[macOS]: Some video frames are blurry when exporting to MP4.
	[macOS]: Recorded cursors are small when recording with Retina display.

======================================
ActivePresenter 7.5.5 (2019.02.21)

Bugs Fixed:
	[Windows]: The program hangs up in some cases.
	[Recording]: Audio is not synced with recorded content when recording simulation in some cases.
	[HTML5]: Partial score works incorrectly in some questions.
	
======================================
ActivePresenter 7.5.4 (2019.01.24)

Bugs Fixed:
	Audio playback issue on some specific computers.
	Text typing operation is not recorded correctly in some cases.
	[macOS]: The program crashes when editing slide name.
	
======================================
ActivePresenter 7.5.3 (2019.01.15)

Bugs Fixed:
	[HTML5]: Interaction auto focus doesn't work if slide has background image.
	[HTML5]: Media player toolbar is under video on Google Chrome in some special cases.
	[HTML5]: Multiple blanks in review mode works incorrectly.
	[HTML5]: jQuery in JavaScript doesn't work.
	[HTML5]: CSS warning in Firefox.
	[macOS]: USB Headset input device is not detected.
	[macOS]: The program crashes when editing slide name.
	[macOS]: Player skin editor doesn't work correctly when project name has space characters.
	The program becomes less responsive when editing short looped audio.
	Timeline playhead is too difficult to manipulate in high DPI screen.
	
======================================
ActivePresenter 7.5.2 (2018.12.14)

Bugs Fixed:
	Program crashes when previewing in some cases.
	[HTML5]: Audio and animation are out of sync in some cases.
	[macOS]: Some icons show incorrectly in dark theme mode.

======================================
ActivePresenter 7.5.1 (2018.12.08)

Enhancements:
	[macOS]: Support macOS 10.14 and its dark theme mode.
	[macOS]: Support exporting to PDF.
	[macOS]: Better Retina display support.
	[macOS]: Record System Audio with Background Music.

Bugs Fixed:
	[Recording]: Text in target application is capitalized incorrectly.
	[Recording]: The Recording Toolbar is reset after selecting Re-capture.
	[HTML5]: Some player skins show incorrectly in old versions of Safari.
	[HTML5]: Browser hangs up in some cases when using Drag-n-Drop with the Shuffle Answer option.
	Default project size is saved when selecting Cancel in the Preferences dialog.
	Event Editor is less responsive when project has many slides.
	Can not select font name for shape which has no text.
	Elements of formula are clipped in some cases.
	Some other bugs fixed.

======================================
ActivePresenter 7.5.0 (2018.11.21)

New Features:
	Feedback Master: Easy to design, manage question feedbacks.
	Advanced Action: Define and reuse a bunch of actions without hassle.
	Equation: Insert math or any science equation into shape or question. Support pasting equation from Microsoft Office.
	Audio Normalization.
	Publish To YouTube.
	Animated Timer.
	Icons: There are dozens of icons to choose from.
	Add more themes and sound effects.
	[HTML5]: New player designs, more decent skins and presets.
	[HTML5]: Show author video and information in output.
	[HTML5]: Add Text Scale option for responsive project.
	[HTML5]: Customizable Pre-loader.
	[HTML5]: Attach any resources to project.
	[HTML5]: Support Course Review.

Enhancements:
	Support editing points for preset shapes.
	Improve performance.
	Drag Source now supports Drop Accept and Drop Reject states.

	[HTML5]: Variable values are retained after resuming course.
	[HTML5]: Allow selecting fonts for embedding.
	[HTML5]: Add option to retain object state when going back to a slide.
	[HTML5]: Subtract score when learner performs wrong actions.
	[HTML5]: Improve loading time.

======================================
ActivePresenter 7.3.3 (2018.09.06)

Bugs Fixed:
	[HTML5]: Interaction is not automatically focused if Tab Order is set.
	[HTML5]: Player tools disappear in Google Chrome at some zoom levels.
	[HTML5]: Video initially shows as blank in Internet Explorer when the network connection is slow.
	[macOS]: Program crashes when re-capturing.
	Program becomes less responsive if video/audio object has too many edited parts.
	Possible crashes in some specific cases.

======================================
ActivePresenter 7.3.2 (2018.08.03)

Bugs Fixed:
	Radial gradient is reversed when opening version-6 projects.
	Program crashes when running on computers which have specific graphics cards.
	Default shape of spotlight is rectangle (should be oval).
	[Windows]: Program crashes when importing some specific PowerPoint presentations.
	[HTML5]: NaN error shows up when running content which has no graded interaction in some LMSes.

======================================
ActivePresenter 7.3.1 (2018.07.11)

Bugs Fixed:
	Blur area becomes transparent in some cases.
	Improve error handling when activating or updating.
	[Windows]: Program crashes when exporting MP4 on some specific computers.
	[Windows]: Program crashes when recording in some rare cases.
	[Windows]: Program crashes when importing some specific PowerPoint presentations.

======================================
ActivePresenter 7.3.0 (2018.07.02)

New Features:
	Add Auto Advance option for slide.
	[Windows]: Built-in crash reporting tool.

Bugs Fixed:
	[macOS]: Text looks smaller than its font size.
	[HTML5]: apQuizPassed and apQuizPassedBool variables are not updated when advancing slide.
	[HTML5]: Issue when displaying cursor paths which have None-click sound.
	[HTML5]: Issue when dragging player progress bar.
	Line in PowerPoint presentation is imported incorrectly in some cases.
	Space issue when typing East Asian languages.
	Timeline is scrolled to playhead position when pausing preview.

======================================
ActivePresenter 7.2.5 (2018.06.15)

Enhancements:
	[HTML5]: Add 'Disable [Click or Tap to Unmute] Notification' option.
	[HTML5]: Show slide name when hovering over player's progress bar.
Bugs Fixed:
	[HTML5]: Infinitive loading when viewing content on Apple Safari browser in some cases.

======================================
ActivePresenter 7.2.4 (2018.06.08)

Enhancements:
	[HTML5]: Viewer may need to click to unmute sound of autoplay videos depending on web browsers' autoplay policy.

Bugs Fixed:
	[HTML5]: Changing playback speed doesn't work on IE in some cases.
	[HTML5]: Seeking doesn't work correctly if the Slide Markers option is not selected.
	[HTML5]: Play audio action doesn't work on Chrome if it is executed multiple times
	[HTML5]: SCORM 1.2 doesn't reset state in the next attempt.
	Program become less responsive when hovering over a long JavaScript action.
	Program crashes when importing XLIFF file if project is converted from version 6.
	Can not adjust slide duration if open a video file to edit.
	Line-breaks are ignored in document outputs.
	Audio decreases quality if it is too loud.
	Video frame is incorrect when working with some files.
	Update pt-br translation.

======================================
ActivePresenter 7.2.3 (2018.04.20)

Bugs Fixed:
	[Video]: Program crashes when exporting projects which have cursor paths.
	[HTML5]: Send mail action doesn't work.
	[HTML5]: 'None' cursor still shows borders in Webkit-based browsers.

======================================
ActivePresenter 7.2.2 (2018.04.13)

Bugs Fixed:
	[HTML5]: Some keys don't work in Firefox.
	[Video]: Project audio is not smooth when transitioning between slides.
	Slide pools are not loaded properly when opening projects saved with version 6.x.

======================================
ActivePresenter 7.2.1 (2018.04.04)

Bugs Fixed:
	[HTML5]: Performance issue for projects which have lots of slides and more than one theme.
	[Recording]: Recording with the Direct3D option doesn't work properly with multiple displays.
	[Recording]: Recording boundary shows incorrectly with some display scales when recording full screen.
	[Recording]: Program crashes when recording Webcam on some specific machines (especially Surface Pro).

======================================
ActivePresenter 7.2.0 (2018.03.20)

Enhancements:
	[HTML5]: Improve preview speed.
	[HTML5]: Improve TOC numbering.
	[HTML5]: Add some player skin presets.
	[HTML5]: Allow associating number variable to Text Box.
	[HTML5]: Enable passed/failed status and detail report for interactions in the Tutorial mode.
Bugs Fixed:
	[HTML5]: Error when exporting to location containing Unicode characters.
	[HTML5]: Text format doesn't show properly when selecting the Embed Web Fonts option in some cases.
	[HTML5]: Default floating value of number variable is truncated to integer.
	[Windows]: Free-forms are exported incorrectly in Microsoft Office outputs.
	[Recording]: Object settings don't work when recording additional slides.
	Program crashes when editing projects which have lot of events and actions.
	Media doesn't play automatically after converting version 6 or older projects.
	White turns to light grey in exported video.
	Correct some typos in the UI.

======================================
ActivePresenter 7.1.0 (2018.02.12)

Enhancements:
	[Windows]: Super-fast recording speed (up to 60 fps when encoding with H.264 video codec).
	[Recording]: More options for cursor path.
	[Recording]: Add "Restore Defaults" button for resetting recording settings.
	[TOC]: Turn off slide group when recording Software Simulation by default.
	Improve button styles.
	[Interactivity]: Add "On Click", "Drag Start" and "Drag End" events for Drag Source.
	[Interactivity]: Add "Drag Enter" and "Drag Leave" events for Drop Target.

Bugs Fixed:
	[Timeline]: Slide duration cannot be shortened.
	[Closed Caption]: Show Format tab when selecting closed caption.
	[HTML5]: Exception when playing too many multimedia files.
	[Text Editor]: Issue when typing Korean.
	Project file is only updated when closing project in some cases.
	Add solid fill with zero opacity when converting interactions which have no fill and line in old-version projects.
	Program crashes when using Drag-n-Drop in some rare cases.

======================================
ActivePresenter 7.0.1 (2018.01.22)

Enhancements:
	[HTML5]: Support jumping to a specified slide or timestamp via URL.

Bugs Fixed:
	[Text Editor]: The position of highlight color shows incorrectly when clicking Increase Indent.
	[Text Editor]: The font name of text in Floating toolbar and Font section are not consistent.
	[Text Editor]: Replacing misspelled word doesn't keep formatting.
	[Responsive Design]: Program crashes when inserting a too large device layout.
	[Responsive Design]: Size of the question in large layout is changed after changing the position of answers in smaller layout.
	[HTML5]: The position of drag source is incorrect after performing highlight object action.
	[HTML5]: Cannot view output on browser if user script has syntax errors.
	[HTML5]: Custom cursor image doesn't show in HTML5 output.
	[HTML5]: Shapes condition doesn't work on Slide Master.
	[Import PowerPoint]: Program crashes when importing from some specific PowerPoint files.
	[Import PowerPoint]: Predefined layouts is missing when importing PowerPoint.
	[Properties]: The Score & Reporting section don't show/hide immediately when changing type of drag/drop.
	[Properties]: Cannot set Report ID for drag source/drop target group.
	[Windows 8]: Program crashes when closing Web Object dialog in some cases.
	Operator list of variable condition is not correct.
	Program crashes when exporting/previewing HTML5 if condition of action contains a non existing variable.
	Program crashes after updating variable name.
	Program crashes while checking update when proxy is set.

======================================
ActivePresenter 7.0.0 (2017.12.28)

New Features:
	Webcam recording
	Support Themes & Templates
	New improved UI
	Higher graphics performance by using Direct2D for rendering/previewing
	More Transition & Animation Effects
	Support multiple Timelines
	Faster & better video compression
	Support Variables
	Conditional Actions & advanced Interactions
	Multiple states for objects
	Table of contents for HTML5
	Support web fonts for HTML5
	Instant preview when hovering over Themes, Colors, Fonts, and Background Styles
	Object Templates
	Slide Templates
	Drawing freeform shapes
	Grouping & ungrouping object
	Advanced audio effects: Fade In, Fade Out, Noise Reduction
	Green Screen Effect for video
	Responsive Design
	Changing project size
	Shuffle question answers
	Redesign Event Editor
	Object cursor & tab order
	HTML5 preview

Enhancements:
	Line spacing & paragraph spacing in text editor
	Transparent text editor background
	High DPI screen support
	Inserting & styling Check Box, Radio Button
	Report Slide
	Improved JavaScript editor
	Improve UI of Recording Dialog and Recording Toolbar
	Improve Export To HTML SlideShow
	Improve Import PowerPoint
	Quickly open existing video file for editing
	Allow to capture custom size for existing project
	Improve slide background fill
	Improve spell checker
	Improve JavaScript API
	Add more options for controlling media playback.
	Slide Event property is superseded by Slide Load/Unload actions
	Improve object settings
	Options for changing HTML5 output hierachy

Deprecated Features:
	Style library
	Capture profiles
	Mouse Hover object
	Feedback object
	32-bit OSes are no longer supported.
	Windows XP, Windows Vista are no longer supported (Windows 7 requires SP1 with Platform Update).
	Following HTML5 templates are removed: Ocean, Standard, Silver, Black.

======================================
ActivePresenter 6.1.4 (2017.11.24)

Bugs Fixed:
	[HTML5]: Video is scaled incorrectly in some cases.
	[HTML5]: Attached audio plays incorrectly when seeking and resuming.
	[Windows]: File error when working with projects which have many edited segments.
	[macOS]: Program doesn’t run on macOS 10.10.

======================================
ActivePresenter 6.1.3 (2017.08.19)

Bugs Fixed:
	[HTML5]: Text in question is cut off in some cases.
	Can not export with some versions of Microsoft Word 2016.
	[macOS]: Program crashes when clicking scroll button of toolbar.

======================================
ActivePresenter 6.1.2 (2017.07.19)

Bugs Fixed:
	[macOS]: XLIFF related functions don't work
	[macOS]: Crash error when pausing and resuming recording session
	[Windows]: Can't preview YouTube video when inserting YouTube object.
	Show in Mode option of cursor path in recorded project is incorrect.

======================================
ActivePresenter 6.1.1 (2017.07.04)

Bugs Fixed:
	[HTML5]: Controls showing on the top project layer don't show properly
	[HTML5]: Accessibility texts are not properly escaped
	[UI]: Restore support for Chinese Traditional language.
	[Tin Can]: Simplify Tin Can package identifier input.

======================================
ActivePresenter 6.1.0 (2017.04.11)

Enhancements:
	ActivePresenter for Mac is now officially out of beta. The free beta license terms are not applicable anymore.

Bugs Fixed:
	Error message shown incorrectly when editing slide background.
	Drag & Drop issues with recent versions of Android Chrome.
	[HTML5]: Can't enter characters which require key combinations into a text box.
	[macOS]: Fade in effect doesn't work when previewing and exporting to video.

======================================
ActivePresenter 6.0.5 (2017.01.09)

Bugs Fixed:
	Error message shows up when clicking Record audio button in Properties pane.

======================================
ActivePresenter 6.0.4 (2017.01.05)

Bugs Fixed:
	Memory issue when recording video (macOS 10.12).
	Can not maximize/restore program window (macOS).
	SCORM 1.2 package (HTML5) doesn't change to finish state when exiting activity (lesson).
	Preferences and Project Settings dialogs don't show properly.
	Temporary files issue when working on some computers.

Deprecated Features:
	Remove activation method via email.

======================================
ActivePresenter 6.0.3 (2016.10.20)

Bugs Fixed:
	Slight cracking noises when recording audio from Microphone on some specific computers.
	Video and cursor are out of sync when recording video on Retina display (macOS).

======================================
ActivePresenter 6.0.2 (2016.08.18)

New Features & Enhancements:
	Improve video exporting speed (20-25% faster).
	Improve question layout functionality

Bugs Fixed:
	Crashes when connecting drag source and drop target.
	Memory issue when editing slide that has too many videos.
	YouTube and Web Object options appear when setting options for other objects in Preferences dialog.
	Drag-n-Drop works incorrectly with some Snap Behavior options in HTML5 output.
	Failed to initialize multimedia library on some machines.
	Replace function doesn't work in some cases.
	Show/Hide, Lock/Unlock functions don't work when editing slide in pool.
	Add/Remove video blur keyframe function doesn't work when editing slide in pool.
	Objects which shown over multiple slides appear when editing slide in pool.
	Color options of Closed Caption are disabled.
	Can not manipulate objects which shown over multiple slides by using the left section of Timeline.
	Cropping Zoom-n-Pane works incorrectly.
	Some minor user interface issues.

======================================
ActivePresenter 6.0.1 (2016.05.31)

Bugs Fixed:
	[HTML5/SCORM]: Output with option 'export each operation mode to a separated package' doesn't work in LMS if there's only one mode selected.
	[HTML5/Drag-n-Drop]: Drag and Drop functionality doesn't work when the 'Allow Select Text' option is enabled.

======================================
ActivePresenter 6.0.0 (2016.05.24)
New Features & Enhancements:
	xAPI (formerly Tin Can API) support for HTML5 output.
	Slide pools and slide randomization (question pool and question randomization).
	Blur effect for video (for hiding sensitive information).
	Survey interactions (no correct/incorrect evaluation).
	Likert (Rating scale) quiz type.
	New type of interaction: Button.
	HTML iframe and YouTube annotations.
	Auto layout mode for questions.
	HTML5 Output Enhancements:
		New template, Modern, with customizable buttons/colors.
		Support for changing playback speed when viewing.
		Options for showing/hiding player buttons.
		Allow excluding WebM and OGG when export.
		Improve quality and performance by utilizing CSS3 transform.
		Improve quality, size, and loading time by using SVG.
		Player tools/buttons are larger on mobile devices.
		Large Resume button at the center when pausing in demo mode.
		Option to allow selecting text in shapes.
		New 'Pass Condition' - Number of visited slides.
		Option for exporting each operation mode to a separated SCORM package.
		Display viewer's responses and correct responses in report table.

	Add Re-capture button in discard capture confirmation dialog.
	Add function to hide recording area (green rectangle) while recording.
	Support navigating in Selection pane with Up/Down Arrow keys.
	Changing orders of objects in Selection pane by mouse dragging.
	Support generating slide name from the text of the first shape in slide.
	Option for placing objects shown over multiple slides in the top layer.
	Edit text in shape by double-clicking if shape has no text.
	Overflowed text is visible in editor and outputs (except Microsoft Word).
	Retain text formatting in Slide Name, Slide Description, and Group Title when exporting to Microsoft Word.
	Add function to reset UI layout.
	Program is more responsive when backing up large projects.

Bugs Fixed:
	Backup doesn't work when editing a new project.
	The video won't play if the system's speaker is disabled.
	The program is unresponsive when inserting a new cursor.
	State (enabled/disabled) of Accept List button isn't set correctly for Drop Area object.
	Width/Height properties in Properties pane are not updated in some scenarios.
	Floating Text Format Toolbar is shown at incorrect position in some scenarios.
	TTS function in the right-click menu is inconsistent between Canvas and Timeline.

Deprecated Features:
	Support for Internet Explorer 7 and 8 in HTML5.
	Export To Flash Simulation.
	Video preview section in Properties pane.
	SCORM support for non-interactive outputs.
	Option for restarting HTML5 presentation in Demo and Tutorial modes.

======================================
ActivePresenter 5.5.2 (2015.10.05)
Enhancements:
- Improve the frame rate when recording with Flash Screen Video codec.

Bugs Fixed:
- The post installation page is opened when the /VERYSILENT parameter is specified on the setup command-line.
- Can not export to PowerPoint if project has attached audio.

======================================
ActivePresenter 5.5.1 (2015.09.11)
Enhancements:
- [HTML5 & Flash]: Play the background music (the audio object with Ignore Pausing option selected) while buffering.
- Add the command line option for selecting UI language when starts, for example: ActivePresenter.exe /lang fr.

Bugs Fixed:
- Some (rotated) images in the PowerPoint Presentation are not imported correctly.
- The audio wave of imported video doesn't display in Timeline.
- Quality problem (gibbering sections) when export to MP4 video format.
- Sometimes, Firefox displays "outdated Flash plugin" message while running HTML5 output.
- HTML5 output doesn't run if the slide/object text contain the line/paragraph separator character (U+2028, U+2029).
- Volume slider displays the audio signal but the recorded audio is silent.
- Spelling error in Shrink Project dialog.
- Default language doesn't follow the language of the operating system if that language is supported.
- Freeze frames in video don't work in the recent versions of Flash Player.
- The program is less responsive when editing a long recorded video.

======================================
ActivePresenter 5.5 (release 2015.08.07)
New Features & Enhancements:
- Allow editing the cursor hilight, click sounds, and click effects of recorded video.
- Support H.264 in MP4 and FLV video format using Cisco OpenH264.
- Allow changing playback speed of audio/video (audio pitch is not preserved).
- Allow customization of the Tabbed Toolbar.
- Improve video exporting speed (20-30% faster).
- Support lines in Timeline, one line can contains multiple objects which are not overlapped in time.
- It is possible to rotate an object now, the rotation is not supported in IE7, 8.
- New program icon and welcome screen.
- Add a button to restore default capture profiles.
- Allow navigating through objects in a slide using Tab key.
- Insert Freeze Frame/Silence is superseded by Insert Time (Insert Freeze for slide).
- Countdown timer with Stop hotkey hint before start recording.
- Add the Selection pane, the Timeline pane now only display top level objects which are not show by events.
- Simplify the Cursor tab in the Capture Profile Editor dialog.
- Add more bitrates for Video Export.
- Basic API for scripting in the HTML5 output, add presentation and slide load events.
- Move FLV Export into Video Export, exporting to FLV Video is now included in Free edition.
- Update names and descriptions of capture profiles.

Bugs Fixed:
- 1px colored lines turns to black in lossy video outputs.
- Can not adjust the volume of USB Microphone in some cases.
- Size of title object in PowerPoint is not processed correctly while importing.
- Submit action is not shown in the action list.
- Merging slides which don't have background.
- Support media formats which have multiple frames per packet.
- Audio/video are not synchronized when previewing in some cases.
- Some cursor images have black pixels.
- Text in multi-line textboxes in the Properties pane is not updated when changing selection.
- Incorrect mouse click position and auto-panning when working with muti-monitors.
- Timeline and Canvas display incorrectly if the primary dispaly has lower resolution than the secondary display.
- Fix crashed error when exporting PDF on some specific computers.
- Mouse doesn't work correctly when working with some GTK+ based applications (GIMP, Inkscape).

Deprecated Features:
- Viewing sub-objects or objects shown by events in the Timeline pane. (Please use the Selection pane instead).

======================================
ActivePresenter 5.0 (release 2014.12.24)
New Features & Enhancements:
- The user interface is completely revamped.
- Edit Closed Caption track directly from Timeline.
- More powerful Properties pane.
- Allow changing the Style of multiple selected objects at once.
- Edit Closed Captions directly in Canvas
- Selecting the dimension of video output is more flexible.

Bugs Fixed:
- Fix HTML5 audio loading issue in Firefox.

======================================
ActivePresenter 4.0.3 (release 2014.11.24)
Bugs Fixed:
- Default UI language incorrectly set to Vietnamese.

======================================
ActivePresenter 4.0.2 (release 2014.10.17)
Bugs Fixed:
- Audio loading issue in HTML5 simulation with Firefox 31 or newer.
- Incomplete message of Text Box is not shown if the submit key is pressed twice.
- Sequence Question doesn't work properly in Google Chrome.

======================================
ActivePresenter 4.0.1 (release 2014.07.21)
Bugs Fixed:
- Save project bug when editing videos in a certain scenario.

======================================
ActivePresenter 4.0 (release 2014.06.27)
New Features & Enhancements:
- Export To HTML5 Simulation.
- Support Drag-n-Drop:
	+ Add Drop Area interaction.
	+ Add Drag-n-Drop question.
- Add lines, arrows, and various shape types.
- Preview multiple slides on Slide Canvas.
- Improve the capture frame rate (FPS) in full motion recording (about 25% faster).
- Add an option to show an object or play an audio/video without blocking subsequent actions.
- Find and replace text in slides objects.
- Add MKV container format (uses Flash Screen video codec, 16-bit PCM audio codec) when exporting to video.
- Add 16-bit PCM audio codec when capturing for highest audio quality.
- Add three levels to set the height of the audio waveform bar in Timeline.
- Allow setting Project Language.
- Support Right-To-Left languages:
	+ Support editing RTL languages in editor.
	+ Support RTL languages when exporting to Images, Videos and HTML5 Simulations.
	+ This feature also works when exporting to MS Office (Word, Excel, and PowerPoint) but not officially supported yet.
- Enhance Quiz/Question editing functionalities:
	+ Add quick tools on the right side of selected question for quick editing.
	+ Change the way to interact with sub-objects in a question.
- Add an option to allow displaying sub-objects and objects started by event in Timeline.
- Allow exporting/importing the library and configurations of ActivePresenter to/from an external file.
- Allow capturing/editing/exporting the Active Window area.
- Replace the slide backgrounds by capturing or using slide backgrounds from another project.
- Allow editing output texts (name of tools in toolbar, messages) in HTML5/Flash Simulation so author can create the content for any languages even they are not officially included.
- The Slide Titles window displays slide names which use HTML tags in formatted text.
- Start editing annotation text by clicking the text area instead of double-clicking.
- Resources in the Image/Media library can be shown either in list or thumbnail view.
- Support recording audio from Speakers (System Audio) in the Audio page of the Properties dialog.
- Option to allow pasting HTML copied from other applications as plain text or HTML format.
- Add 14 common gesture effects.
- Option to generate the index page when exporting To HTML5/Flash Simulation or not.
- SCORM 2004 raw score is stored as percentage value if Pass Condition is in percentage. Otherwise, it is stored as an absolute value.
- The quality range of audio/video is changed to [1...100]. Either quality or bit rate option is available depends on selected codec.
- Use JSON format for storing the configurations.

Bugs Fixed:
- Text in shape is not saved when the editor lost the focus.
- When pasting an interaction from other slides, the shape in current slide may be disappeared because it is added to the actions list of interaction.
- SCORM 1.2 raw score is not scaled in range [1...100].
- Incorrect default file name and location in the Save As dialog.

Deprecated Features:
- AJAX Simulation is now superseded by the all new HTML5 Simulation and so got removed.
- Drop support for Microsoft Office 2000.

======================================
ActivePresenter 3.9.5 (release 2014.04.08)
Bugs Fixed:
- Audio and video are not synched properly if the audio sample rate in settings is not the same as sample rate of input device.
- Noise in recorded audio if the computer is overloaded while recording.
- Record System Audio checkbox is not enabled with some settings in Speaker in Windows Vista or later.

======================================
ActivePresenter 3.9.4 (release 2014.02.12)
New Features & Enhancements:
- Support recording system sound and microphone simultaneously (Windows XP is not supported).
- Redesign the New Capture Project dialog.
- Add Russian translation
- Update French translation.

Bugs Fixed:
- Crash error when editing or exporting if the project contains a video with many edited points
- Incorrect text format bug in importing XLIFF if XLIFF file contains some empty elements.
- Blank video object in slide when double-click the project file to open.
- Classic style file dialog when opening a project.
- Export to Flash Simulation doesn't use localized string in PO file.

======================================
ActivePresenter 3.9.2 (release 2013.08.16)
Bugs Fixed:
- Crash error when encoding MPEG-1 or MPEG-2 videos at some resolutions
- XLIFF "x" tag uses incorrect attribute "restype"
- Capture Preset Sizes cannot be deleted


======================================
ActivePresenter 3.9.1 (release 2013.07.08)
Bugs Fixed:
- Recorded video stopped at 2 GB boundary.
- OGG audio not seakable in low bitrates.


======================================
ActivePresenter 3.9.0 (release 2013.06.19)
New Features & Enhancements:
- Accessibility support in Ajax simulation:
	+ Slides and slide objects support accessibility text that can be read aloud by screen readers when they appear
	+ Support keyboard shortcuts and navigation
	+ Visual focus indicator
- Project Translation:
	+ Export texts to XLIFF 1.2 format for easy translation
	+ Import translated texts in XLIFF format
- Click effect for cursor path
- Fade in, fade out effect for spotlight
- Better synchronization when editing audio/video
- French and Taiwanese language localization.
- Ajax Simulation:
	+ New templates: Black and Silver
	+ New Slide List design
	+ More options in Template Parameters dialog: show/hide slide group title, navigation in Practice  mode...
	+ Option to use Silverlight for audio/video playback
	+ AutoFit browser window
- Flash Simulation:
	+ New templates: Black and Silver

Bugs Fixed:
- Licensing issue that does not recognize activation when running with normal privilege on some computers
- Various minor bugs fixed

Deprecated Features:
- Remove Aluminum template when exporting Ajax and Flash simulation
- Remove Close button in Ajax and Flash simulation


======================================
ActivePresenter 3.7.2 (release 2013.01.02)
Bugs Fixed:
- Fix hang up issue when reading MPEG-1 or MPEG-2 videos on some computers


======================================
ActivePresenter 3.7.1 (release 2012.12.24)
Bugs Fixed:
- Fix translation bug (always display Japanese) on the index page of exported Flash simulation
- Improve Chinese translation


======================================
ActivePresenter 3.7.0 (release 2012.12.18)
New Features & Enhancements:
- Support Windows 8
- Support capturing Command Line Interface (CLI) Applications
- Lots of improvements for screenshot functionality:
	+ Capture full screen, application, region, windows (including child windows, menus), and accessible objects
	+ Additional processing when capturing top level window (application window or dialog):
		* Capture shadow (Windows Vista or later)
		* Process rounded corners
		* Translucent/Opaque window
	+ Convenient window/object finder for selecting child window/object to capture
	+ Remove "Insert Screenshot" item from Slide menu
	+ Add new "Insert Screenshot" submenu to Annotation menu
	+ Change Screnshot tool in Insert toolbar: click dropdown button to select different capture type or change options, click tool icon to do the last capture
- Simplify audio recording by merging input devices and input sources, user will only need to select input device when recording audio
- Reduce the number of default visible tools in the Insert toolbar, user can still customize it if desired.
- Allow exporting Image, Audio & Video objects to external files by adding "Export To File" menu item to the context menu of Image, Audio and Video objects (on Canvas & Timeline)
- Resources panel:
	+ Allow exporting resource items (both physical & logical resources) to external files
	+ Change tab name: Image -> Images, Style -> Styles
	+ Toggle button to show/hide deprecated images in the Images tab
- Add Facebook/Twitter/Youtube links to the Welcome screen
- Holding Alt while dragging Shape's boundary will preserve its anchor position
- Rename "Project Information" menu item and dialog title to "Project Properties" (in Project menu)

Bugs Fixed:
- Fix occasional issue with input devices/input sources when recording audio on some computers
- Occasional error when recording very long session video (>2GB video file size)
- ActivePresenter becomes less responsive when splitting videos to more than 10 parts
- Reddish color issue on some videos when exporting to Ajax, Flash and Powerpoint
- Double-click interactions aren't properly recognized and processed in Ajax simulation
- Shape's anchor is changed when choosing "AutoFit Text" command on context menu
- Other minor bugs fixed


======================================
ActivePresenter 3.6.0 (release 2012.10.16)
New Features & Enhancements:
- Capture:
	+ Add 2 new lossy video codecs for encoding full motion video: MPEG-1 & MPEG-2 (Capture Profile Editor -> FMR/Audio tab)
	+ Easily format and style auto-generated annotation text using HTML tags (Preferences -> Auto Annotation Text)
	+ Option to copy settings from current capture profiles when creating new capture profile
	+ Option to disable the use of OLE Automation when getting size and location of captured interactions when capturing MS Office (Capture Profile Editor -> Annotation)
	+ Remove the options to capture based on mouse or keyboard events. AP will now always capture on any key/mouse events. The Annotation tab is also rearranged to allow selectively insertion of key/mouse interactions or annotations
- Support logical segmentation of audio and video: You can now split, merge, copy, cut, join audio and video objects instantly, the actual splitting/merging will only be done when exporting final project
- Easily adjust volume for audio and video objects: This is useful when there are many overlapping audio
- Lots of improvements in the Timeline:
	+ Cut/Copy/Delete selected range
	+ Crop to selected range
	+ Split/Join audio/video objects
	+ Split slide
	+ Show/Hide, Lock/Unlock all objects at once
	+ Record audio narration while previewing: Easy to sync narrated voice with other audio/video
	+ Render actual audio waveform for easier and more accurate manipulation of audio
	+ Insert objects at editing timestamp by pasting clipboard or dropping external files (image, audio, video files)
	+ Allow to edit hidden objects (in earlier versions, editing hidden or locked objects is not allowed. From version 3.6, ActivePresenter only prevents editing locked objects)
	+ Changing start time and end time of a closed caption node does not affect next nodes in the same closed caption
	+ Scroll horizontally using Shift + Mouse wheel
	+ Select contiguous objects by holding Shift + Mouse Click on the left column
	+ Select range by holding Shift + Mouse Click
	+ More convenient editing with many new hotkeys and object timing display: Refer to the User Manual for more details
- Audio & Video Editor dialogs are now deprecated: Audio/video editing will be performed directly on the Timeline
- Improvement in the Audio Calibration dialog: Allow changing the volume of currently selected recording device
- Reduce Canvas Preview loading time
- Display slide duration in Slide Thumbnail panel
- Insert audio/video directly from file when using icons in Toolbar or using Menu
- Canvas & Timeline Snapping:
	+ Turn on/off: View menu -> Snapping
	+ Turn off temporarily: Hold down Ctrl key
- Improvements in Resource panels:
	+ Allow user to select all unused resources with one click
	+ Smoother scrolling while viewing image/video thumbnails
- Better shrink project functionality:
	+ Shrink function is now moved to Project menu for faster access
	+ Option to remove unused resources automatically
- Ajax Simulation:
	+ Reduce preloading time
	+ Reduce flickering when changing slides
	+ More options in Template Parameters dialog to set initial state of: closed captions, audio, show/hide slide list
	+ New index page design
- Flash Simulation:
	+ More options in Template Parameters dialog to set initial state of: closed captions, audio
	+ New index page design
- Usability Improvement: More convenient hotkeys for common operations in the Canvas

Bugs Fixed:
- Fix a bug in Manual Proxy Configuration dialog
- Various minor bugs fixed


======================================
ActivePresenter 3.5.1 (release 2012.06.11)

Bugs Fixed:
- Slide background does not zoom with Zoom-n-Pan


======================================
ActivePresenter 3.5.0 (release 2012.06.07)
New Features & Enhancements:
- Capture:
	+ Onscreen feedback/status: elapsed time, frames per second, input audio signal meter, quick buttons...
	+ Support capturing with keyboards which use dead keys for entering diacritics like German, French, Spanish, Latvian...
- Obfuscation/Blur tool in Image Editor: easily erase sensitive information in captured images
- Transition Effects for Objects: Entry-Exit transitions: Fade, Fly, Peek, Wipe
- Slide Transition Effects: Fade, Fly, Wipe
- Shadow Effect: allow objects to have 3D shadow effect
- Video Freeze-Frame: Allow user to temporarily pause a video for a specified duration so additional explanations/annotations can be added to explain the video in more details
- Spell Checker: check spelling while editing shapes and closed captions: Support multiple languages: English (US), English (UK), English (Australia), German, Spanish, Czech, Polish and Vietnamese
- Text To Speech: Convert text to speech using Microsoft SAPI, user can use any SAPI TTS engine installed on their computer to convert text to speech easily
- Action Feedback Control: displays detail information about action being performed (clicking, typing)
- Audio calibration before recording
- Editor:
	+ Save slide as image at current timestamp
	+ Re-arrange the menu system for quick and easy access
	+ Save panel position customization across all projects
	+ Change "Library" panel to "Resources" panel; Change the term "Template" to "Library"
- Improve Video/FlashVideo Export:
	+ Generate separate subtitle file (using SubRip SRT format: http://en.wikipedia.org/wiki/SubRip) for both Video and FlashVideo export
- Improve Player for Ajax & Flash:
	+ Customizable player skin
	+ Make language selection when exporting Ajax like when exporting Flash
- Various audio/video quality improvements
- New Language: Polish

Bugs Fixed:
- Password field not working when export to Video/FlashVideo
- Various bugs fixed

======================================
ActivePresenter 3.2.0 (release 2012.02.28)
New Features & Enhancements:
- Change "Balloon" to "Shape"
- Enable dragging from Library to Canvas to create slide object:
	+ Dragging image, audio, video
	+ Dragging style to create shape
- Enable dragging image, audio, video files from computer to canvas
- Preview a range in Timeline: User can select a range in Timeline to preview in a loop
- Add a "Zoom all" button to Timeline which will automatically adjust zoom factor to fit the longest bar in the available width.
- Add edit Gradient button to Properties panel for easy editing the gradient stops
- New Zoom-n-Pan mechanism which supports multiple Zoom-n-Pans into one slide
- Support Click Sound for cursor path and interaction objects
- Allow slide objects to have attached audio
- Show object preview when selecting Show/Hide Object in Event Editor.
- Add Slide Name to "Go To Slide" dialog
- Insert object at specified timestamp.
- Add small icons below the slide thumbnails to allow user to know at a glance which types of objects (audio, video, cursor and question) are there in the slide
- Improve cursor path editing with curve or straight cursor path
- Change slide by clicking in timeline (when showing all slides)

Bugs Fixed:
- Sequence question: can not drag&drop answers on IE 9
- No toolbars displayed when creating new blank project
- Open projects from older versions: text of shapes are overflowed.
- Some other minor bugs

======================================
ActivePresenter 3.1.0 (release 2012.01.12)
New Features & Enhancements:
- Add context toolbars for faster and easier editing
- Add 'preserve aspect ratio' option for image and video
- Add 'play when waiting for user input' and 'loop' option for audio and video
- Show more details when hovering mouse over objects in editor

- Object Style:
	+ Style Preview when editing
	+ Clone style from existing one
	+ Create new style from selected object
	+ Update object to style

- Text Editing:
	+ New hotkeys: increase/decrease font size
	+ Auto Fit to Text: Auto expand/reduce object size once editing completes to fit to new text
	+ Incremental search for font name in font selection box

- Quiz:
	+ Make editing easier (add/edit answer, button, message...) using context toolbar

- Object Event:
	+ Enable showing image by event
	+ Add 'End Presentation' action
	+ Add new action after, not previous selected action
	+ Title header theme for XP

- Timeline:
	+ Preserve focused point (keep current view) when zooming
	+ Ruler scale is now multiple of 10

- Audio Editor:
	+ Preserve focused point (keep current view) when zooming
	+ Ruler scale is now multiple of 10
	+ Allow to seek when playing/pausing

- Properties Grid:
	+ Auto save property value when user clicks outside properties panel

- Ajax, Flash Simulation:
	+ Better synchronization among cursor path, audio, video, zoomed and normal objects
	+ Flash: Add slide list window

- Capture/Record:
	+ Auto pan is now off by default
	+ Allow to add hint messages when recording
	+ Allow to select captured application when inserting new slide by capture
	+ Lower default video frame rate for FMR in Smart Capture to 15 fps -> Smaller video size, don't need smooth transition

- Image Editor:
	+ Allow to copy and paste image as image object into slide
	+ Allow to select rectangle using mouse dragging from bottom to top

Bugs Fixed:
- HTML editing issue: crash error when editing balloon's text on systems with RoboForm installed
- Crash error when saving capture profile on systems with no audio input device

======================================
ActivePresenter 3.0.1 (release 2011.11.15)
Bugs Fixed:
- Capturing causes system to lag/freeze when press and hold down multiple keys on 64-bit systems.
- Ajax typing simulation:
	+ Error not typing in IE
	+ Support pause, resume, seek

======================================
ActivePresenter 3.0 (release 2011.10.15)
New Features:
- Support 64-bit OS.
- Full motion recording: Allow user to record full motion video
- Allow user to record audio while capturing
- Automatically set slide duration based on user's recording time
- Support multiple monitors: Allow user to capture on multiple monitors
- Auto panning capture area: Allow capture area to be dynamically moved around with mouse cursor while capturing
- Allow user to record mouse movement while capturing
- Allow user to customize the text which is inserted automatically for annotations when capturing
- Support capture profile: User can easily manage capture settings using separate profiles

- Quiz functionality: Insert/edit quiz.
  Support 7 question types:
    + True/False
	+ Multiple Choice
	+ Multiple Response
	+ Essay
	+ Fill in Blank
	+ Fill in Multiple Blank
	+ Sequence
- Allow user to insert video to slides
- Slide preview: Allow user to instantly preview slides
- Allow user to define ultra flexible responses for interactions
  Support 6 event types:
    + On Correct: response when user action is correct
	+ On Incorrect: response when user action is incorrect
	+ On Incomplete: response when user action is not yet complete
	+ On Time out: response when the time limit for interaction is expired
	+ On Roll over: response when user moves mouse over the interaction
	+ On Roll out: response when users moves mouse out of the interaction
- In-place editor for balloons/notes
- Support object styles: Users can define styles and reuse for multiple objects.
  Support 3 types of style:
    + Fill style: Style used to fill object shapes
	+ Line style: Style used to draw object borders
	+ Text style: Style used to draw object text
  Style Preview when editing
- Allow user to change style of multiple objects at once
- Support flexible and multiple Zoom-n-Pan: Allow user to zoom and pan a specific area
- Support flexible closed captions
- Support customizable cursor highlight
- Support flexible cursor path

- Automatically scroll to first action on a slide
- Export to WebM video format

Enhancements:
- Lots of minor improvements and bugs fixed

Deprecated Features:
- Remove support for Internet Explorer 6.0
- Remove support for Windows 2000

======================================
ActivePresenter 2.3.4 (release 2011.07.28)
Changes from 2.3.3:
- Enhanced: Better corrupted project repair functionality, allow user to replace corrupted objects with new ones directly.
- Enhanced: Allow user to continue exporting Ajax and Flash simulation even with corrupted slides
- Enhanced: Adding user's operation manual document

======================================
ActivePresenter 2.3.3 (release 2011.03.18)
Changes from 2.3.2:
- Added: Allow user to hide closed caption when generating to Flash.
- Fixed: Changes to balloon options (font name, font size...) are not applied to auto generated balloons when capture and batch insertion.
- Fixed: Batch slide object insert dialog does not fully show all text (and not resizable).
- Fixed: Fix some minor memory leaks which related to XULRunner (the HTML Engine used to render note contents).

======================================

ActivePresenter 2.3.2 (release 2011.01.20)
Changes from 2.3.1:
- Added: Fully supports MS Office 2010 (MS Word, MS PowerPoint and MS Excel).
- Added: Chinese language localization.

======================================
ActivePresenter 2.3.1 (release 2010.12.07)
Changes from 2.3.0:
- Fixed: Activation problem on some computers.

======================================
ActivePresenter 2.3.0 (release 2010.09.24)
Changes from 2.2:
- Added: Digitally sign the Installer and all EXE and DLL modules of ActivePresenter. This will increase customer's confidence and prevent some security warnings from Windows in some cases.
- Added: Add corrupted project repair function.
- Added: Not allow user to open a project created with newer version file format and notifying user if program could not open it. For example: user can not use ActivePresenter 2.0 to open projects created by ActivePresenter 2.2.
- Added: Options to choose using HTML or image for annotation objects's content when exporting to Ajax: Balloons can be exported as images or HTML text.
- Added: Enable choosing arbitrary video ratio between 10% and 150% when export.
- Fixed: PDF document is marked protected by reader even when no password is set.
- Fixed: Missing table of contents when export to MS Word in some cases.
- Fixed: Wrong display of Unicode font name in HTML editor.
- Fixed: Some translations in export dialogs.
- Fixed: Losing trail of audio in exported output in some cases.
- Fixed: Audio with unusual bit rate can't play when export to Ajax.
- Fixed: Remove unsupported keys when capture. These are some special keys on Japanese keyboard: Hangun mode, Convert, Non Convert, Alphanumeric, Katakana, Hiragana, Roman, Non-Ronan, Kanji.
           These special keys are also not supported by Adobe Captivate.
- Enhanced: Text laying out when export to MS Word and MS PowerPoint.
- Enhanced: Text laying out when export to PDF (fix long empty space between two words)
- Enhanced: Thumbnails rendering.
- Enhanced: Pen, fill, highlight, and text color icons in image editor and HTML editor.

Know issues:
- Capture: Capture wrong keyboard event for numpad keys when both Num Lock and IME mode is on.


